Subject: Re: Su-25 Frogfoot
From: "Steve Bamford ARC" <[email-masked]>
To: "Thang Le" <[email-masked]>
Date: Thu, 29 May 2003 18:50:48 -0700

----- Original Message ----- 
  From: Thang Le 
  To: Steve Bamford 
  Sent: Thursday, May 15, 2003 2:27 AM
  Subject: Su-25 Frogfoot

  Hi Steve,
  This is the Monogram 1/48 Su-25 Frogfoot.  This kit is Out-of-Production at this time, I bought mine on E-Bay over a year ago. The kit has recessed panel lines and fit together well.  I have to use a small amount of filler around the intake, and exhaust to the fuselage joints.  I didn't use the flare dispensers that mounted on top of the exhausts, since this particular plane didn't have ones.  Other than that, it's OOB as usual.  Some said that the inside of the intakes are poorly shown, so they choose to make the intake covers to cover them up.  I decided not to do this, and show the only bad sight of the kit.  It's a personal choice.  The paint scheme is another story.  I painted the yellow, and gray first.  I used the tacky Elmer putty to mask the lines around the later fill-in colors.  After took off the masking, I have to go over the yellow color free hand, to have the soft edges.  This process have to be repeated a few times, due to overspray.  I used a single action H1-Paaches.  It's life!  Decals from Xtradecal, sheet # X014-48, for the Czech Su-25 at Boscombe Down, 1992.  I've heard that Neomega makes an outstanding cockpit set, including the ejection seat for this kit.  Enjoy the pictures.

  Thang.